/*
 * (c) 2005 Sebastian Zagrodzki <s.zagrodzki@net.icm.edu.pl>
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdlib.h>

#include "common.h"
#include "readwrite.h"
#include "mode.h"

int main() {
	char *buf;
	char *tape = "/dev/tape";
	
	tape_fd = open(tape, O_RDONLY);
	
	debugging = 1;
	// blocksize = 16 * 1024;
	check_drive_mode();

	buf = (char*)malloc(blocksize);
	if (!buf) { perror("malloc"); abort(); }

	read_tape();
	return 0;
}
		
